---
apiVersion: operators.coreos.com/v1alpha1
kind: CatalogSource
metadata:
  creationTimestamp: "2025-10-29T11:51:39Z"
  generation: 2
  managedFields:
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:displayName: {}
        f:publisher: {}
        f:sourceType: {}
        f:updateStrategy:
          f:registryPoll:
            f:interval: {}
    manager: kubectl
    operation: Apply
    time: "2025-10-29T11:51:39Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:image: {}
    manager: OpenAPI-Generator
    operation: Update
    time: "2025-10-29T13:17:52Z"
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:connectionState:
          .: {}
          f:address: {}
          f:lastConnect: {}
          f:lastObservedState: {}
        f:registryService:
          .: {}
          f:createdAt: {}
          f:port: {}
          f:protocol: {}
          f:serviceName: {}
          f:serviceNamespace: {}
    manager: catalog
    operation: Update
    subresource: status
    time: "2025-10-29T13:28:27Z"
  name: hco-catalogsource
  namespace: openshift-marketplace
  resourceVersion: "2237267"
  uid: 4a92ebe7-fb03-4d63-bf0a-d62ce37a64e6
spec:
  displayName: OpenShift Virtualization Index Image
  image: brew.registry.redhat.io/rh-osbs/iib:1061040
  publisher: Red Hat
  sourceType: grpc
  updateStrategy:
    registryPoll:
      interval: 8h
status:
  connectionState:
    address: hco-catalogsource.openshift-marketplace.svc:50051
    lastConnect: "2025-10-29T13:28:26Z"
    lastObservedState: READY
  registryService:
    createdAt: "2025-10-29T13:17:57Z"
    port: "50051"
    protocol: grpc
    serviceName: hco-catalogsource
    serviceNamespace: openshift-marketplace
